Azure credentials - Get
Display information about an Azure credentials set.
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| envUri | path | true | string | Host name used in these examples: obs.apibackbone.orange.com. |
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| id | path | true | string | UUID of the Azure credential record in Evolution Platform. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Credentials | GET successful. The operation returns the Azure credentials. |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Request Body
| Name | Type | Description |
|---|---|---|
| id | uuid | Identifier of the azure credential in Evolution Platform |
| projectId | string | Identifier of the project in Evolution Platform |
| name | string | Name of the azure credential in Evolution Platform |
| csp | string | Name of the Cloud Service Provider (CSP) |
| description | string | Description of the azure credential |
| projectName | string | Name of the project in Evolution Platform |
| expiration | string | The expiration date of the authentication token or client secret. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Examples
Request
GET https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/projectId/azure/credentials/{id}
Sample response
Status code: 200 (OK)
{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}